Vulnerability CVE-2013-0282


Published: 2013-04-12   Modified: 2013-04-13

Description:
OpenStack Keystone Grizzly before 2013.1, Folsom 2012.1.3 and earlier, and Essex does not properly check if the (1) user, (2) tenant, or (3) domain is enabled when using EC2-style authentication, which allows context-dependent attackers to bypass access restrictions.

Type:

CWE-287

(Improper Authentication)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Openstack -> Essex 
Openstack -> Folsom 
Openstack -> Grizzly 
Openstack -> Keystone 

 References:
http://www.openwall.com/lists/oss-security/2013/02/19/3
https://bugs.launchpad.net/keystone/+bug/1121494
https://launchpad.net/keystone/+milestone/2012.2.4
https://launchpad.net/keystone/grizzly/2013.1
https://review.openstack.org/#/c/22319/
https://review.openstack.org/#/c/22320/
https://review.openstack.org/#/c/22321/

Copyright 2022, cxsecurity.com

 

Back to Top